# Class PayPalAccountPayload

#### Hierarchy

- unknown
  - PayPalAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4622
- Defined in src/protobuf/pb_pb.d.ts:4637

#####
Index

### Constructors

constructor

### Methods

getEmailOrMobileNrOrUsername
getExtraInfo
serializeBinary
setEmailOrMobileNrOrUsername
setExtraInfo
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PayPalAccountPayload(): PayPalAccountPayload

- #### Returns PayPalAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getEmailOrMobileNrOrUsername

- getEmailOrMobileNrOrUsername(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4623

### getExtraInfo

- getExtraInfo(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4626

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4629

### setEmailOrMobileNrOrUsername

- setEmailOrMobileNrOrUsername(value: string): PayPalAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns PayPalAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4624

### setExtraInfo

- setExtraInfo(value: string): PayPalAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns PayPalAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4627

### toObject

- toObject(includeInstance?: boolean): PayPalAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PayPalAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4630

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PayPalAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PayPalAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4633

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PayPalAccountPayload, reader: BinaryReader): PayPalAccountPayload

- #### Parameters

  - ##### message: PayPalAccountPayload

  - ##### reader: BinaryReader

  #### Returns PayPalAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4634

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PayPalAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PayPalAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4632

### `Static` toObject

- toObject(includeInstance: boolean, msg: PayPalAccountPayload): PayPalAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PayPalAccountPayload

  #### Returns PayPalAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4631

Generated using TypeDoc